<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <xsl:output encoding="UTF-8" indent="yes" method="xml" version="1.0"/>
   <xsl:template match="FMPReport">
      <FMPXMLRESULT xmlns="http://www.filemaker.com/fmpxmlresult">
         <ERRORCODE>0</ERRORCODE>
         <PRODUCT BUILD="06-01-2015" NAME="FileMaker Pro" VERSION="16.0v1"/>
         <DATABASE DATEFORMAT="M/d/yyyy" LAYOUT="" NAME="" RECORDS="" TIMEFORMAT="h:mm:ss a"/>
         <METADATA>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="VERSION" TYPE="TEXT"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="DATE" TYPE="DATE"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="TIME" TYPE="TIME"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="LINK" TYPE="TEXT"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="NAME" TYPE="TEXT"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="PATH" TYPE="TEXT"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="BASETABLES" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="TABLES" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="RELATIONSHIPS" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="ACCOUNTS" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="PRIVILEGES" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="EXTENDED_PRIVILEGES" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="FILE_ACCESS" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="LAYOUTS" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="SCRIPTS" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="VALUE_LISTS" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="CUSTOM_FUNCTIONS" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="FILE_REFERENCES" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="CUSTOM_MENU_SETS" TYPE="NUMBER"/>
            <FIELD EMPTYOK="YES" MAXREPEAT="1" NAME="CUSTOM_MENUS" TYPE="NUMBER"/>
         </METADATA>
         <RESULTSET>
            <xsl:attribute name="FOUND"><xsl:value-of select="count(/FMPReport[@type='Summary']/File)"/></xsl:attribute>
            <xsl:apply-templates                      select="/FMPReport[@type='Summary']/File"/>
         </RESULTSET>
      </FMPXMLRESULT>
   </xsl:template>
   <xsl:template    match="/FMPReport[@type='Summary']/File" xmlns="http://www.filemaker.com/fmpxmlresult">
      <xsl:element name="ROW">
         <COL><DATA><xsl:value-of select="../@version"/></DATA></COL>
         <COL><DATA><xsl:value-of select="../@creationDate"/></DATA></COL>
         <COL><DATA><xsl:value-of select="../@creationTime"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./@link"/></DATA></COL>
         <COL><DATA><xsl:value-of select="substring-before(./@name,'.fmp12')"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./@path"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./BaseTables/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./Tables/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./Relationships/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./Accounts/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./Privileges/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./ExtendedPrivileges/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./FileAccess/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./Layouts/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./Scripts/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./ValueLists/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./CustomFunctions/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./FileReferences/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./CustomMenuSets/@count"/></DATA></COL>
         <COL><DATA><xsl:value-of select="./CustomMenus/@count"/></DATA></COL>
      </xsl:element>
   </xsl:template>
</xsl:stylesheet>
